Create Network Pool

Create Network Pool
Create a Network Pool

Create a Network Pool

Request
URI
POST
https://{api_host}/v1/network-pools
COPY
Request Body
NetworkPool of type(s) application/json
Required  

Show optional properties

{
    "name": "string",
    "networks": [
        {
            "type": "VSAN, VMOTION, VXLAN, NFS, ISCSI, VSAN_EXTERNAL",
            "vlanId": 0,
            "mtu": 0
        }
    ]
}
{
    "id": "string",
    "name": "string",
    "networks": [
        {
            "id": "string",
            "type": "VSAN, VMOTION, VXLAN, NFS, ISCSI, VSAN_EXTERNAL",
            "ipAddressVersion": "IPv6",
            "ipAddressAssignmentMode": "SLAAC",
            "vlanId": 0,
            "mtu": 0,
            "subnet": "string",
            "mask": "string",
            "gateway": "string",
            "ipPools": [
                {
                    "start": "string",
                    "end": "string"
                }
            ],
            "freeIps": [
                "string"
            ],
            "usedIps": [
                "string"
            ],
            "usedIpCount": "string",
            "freeIpCount": "string"
        }
    ],
    "hostsCount": 0
}
string
id
Read-Only  

The ID of the network pool

string
name
Required  
Constraints: minLength: 1

User specified name of the network pool

array of object
networks
Required   Read-Only  
Constraints: minItems: 1

Representing the networks associated with the network pool

integer As int32 As int32
hostsCount
Read-Only  

Number of hosts connected to the network pool

Responses
201

The newly created network pool

Returns NetworkPool of type(s) application/json
{
    "id": "string",
    "name": "string",
    "networks": [
        {
            "id": "string",
            "type": "VSAN, VMOTION, VXLAN, NFS, ISCSI, VSAN_EXTERNAL",
            "ipAddressVersion": "IPv6",
            "ipAddressAssignmentMode": "SLAAC",
            "vlanId": 0,
            "mtu": 0,
            "subnet": "string",
            "mask": "string",
            "gateway": "string",
            "ipPools": [
                {
                    "start": "string",
                    "end": "string"
                }
            ],
            "freeIps": [
                "string"
            ],
            "usedIps": [
                "string"
            ],
            "usedIpCount": "string",
            "freeIpCount": "string"
        }
    ],
    "hostsCount": 0
}
string
id
Read-Only  

The ID of the network pool

string
name
Required  
Constraints: minLength: 1

User specified name of the network pool

array of object
networks
Required   Read-Only  
Constraints: minItems: 1

Representing the networks associated with the network pool

integer As int32 As int32
hostsCount
Read-Only  

Number of hosts connected to the network pool


400

Errors due to network pool validations failures

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

Unexpected error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","networks":["object"]}' https://{api_host}/v1/network-pools